//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

#include "Control.h"

namespace VectorWorks
{
	namespace VWUI
	{
		class VWEditIntegerCtrl : public VWControl
		{
		public:
							VWEditIntegerCtrl(TControlID id);
			virtual			~VWEditIntegerCtrl();

			virtual bool	CreateControl(VWDialog* pDlg, long lDefaultValue, short widthInCharacters);

		// attributes
		public:
			long			GetEditInteger() const;
			bool			GetEditInteger(long& outValue) const;
			void			SetEditInteger(long value);
			void			SelectContent();

		};
	}
}